Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 224097 - UNW_DEBUG_LEVEL=99 crash
Summary: UNW_DEBUG_LEVEL=99 crash
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: libunwind
Version: 5.0
Hardware: ia64
OS: Linux
low
low
Target Milestone: ---
: ---
Assignee: Jan Kratochvil
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-01-24 01:10 UTC by Jan Kratochvil
Modified: 2007-11-30 22:07 UTC (History)
0 users

Fixed In Version: libunwind-0.99-0.1.frysk20070405cvs.fc7
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-04-08 17:34:20 UTC
Target Upstream Version:


Attachments (Terms of Use)
Fix already present in upstream / 0.99-alpha. (deleted)
2007-01-24 01:10 UTC, Jan Kratochvil
no flags Details | Diff

Description Jan Kratochvil 2007-01-24 01:10:51 UTC
Description of problem:
One has to recompile libunwind with `--enable-debug' and use
`UNW_DEBUG_LEVEL=99' to enable its debug output.

Version-Release number of selected component (if applicable):
libunwind-0.98.5-3.ia64

How reproducible:
Always.

Steps to Reproduce:
1. Install `libunwind-0.98.5-3.src.rpm'.
2. Rebuild with --enable-debug
3. Run application (such as that from Bug 223954) with UNW_DEBUG_LEVEL=99.
  
Actual results:
Segfault.

Expected results:
Successful completion.

Additional info:

Comment 1 Jan Kratochvil 2007-01-24 01:10:51 UTC
Created attachment 146387 [details]
Fix already present in upstream / 0.99-alpha.


Note You need to log in before you can comment on or make changes to this bug.